Package org.apache.commons.math3.optim.linear

# Class LinearObjectiveFunction

java.lang.Object
org.apache.commons.math3.optim.linear.LinearObjectiveFunction

All Implemented Interfaces:
  `Serializable`, `MultivariateFunction`, `OptimizationData`

public class LinearObjectiveFunction extends Object implements MultivariateFunction, OptimizationData, Serializable
An objective function for a linear optimization problem.

A linear objective function has one the form:

     c1x1 + ... cnxn + d

The ci and d are the coefficients of the equation, the xi are the coordinates of the current point.

Since:
  2.0
See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`LinearObjectiveFunction(double[] coefficients, double constantTerm)`
`LinearObjectiveFunction(RealVector coefficients, double constantTerm)`

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object other)`
`RealVector`
`getCoefficients()`
Gets the coefficients of the linear equation being optimized.
`double`
`getConstantTerm()`
Gets the constant of the linear equation being optimized.
`int`
`hashCode()`
`double`
`value(double[] point)`
Computes the value of the linear equation at the current point.
`double`
`value(RealVector point)`
Computes the value of the linear equation at the current point.

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### LinearObjectiveFunction

public LinearObjectiveFunction(double[] coefficients, double constantTerm)

Parameters:
  `coefficients` - Coefficients for the linear equation being optimized.
  `constantTerm` - Constant term of the linear equation.

### LinearObjectiveFunction

public LinearObjectiveFunction(RealVector coefficients, double constantTerm)

Parameters:
  `coefficients` - Coefficients for the linear equation being optimized.
  `constantTerm` - Constant term of the linear equation.

## Method Details

### getCoefficients

public RealVector getCoefficients()
Gets the coefficients of the linear equation being optimized.

Returns:
  coefficients of the linear equation being optimized.

### getConstantTerm

public double getConstantTerm()
Gets the constant of the linear equation being optimized.

Returns:
  constant of the linear equation being optimized.

### value

public double value(double[] point)
Computes the value of the linear equation at the current point.

Specified by:
  `value` in interface `MultivariateFunction`
Parameters:
  `point` - Point at which linear equation must be evaluated.
Returns:
  the value of the linear equation at the current point.

### value

public double value(RealVector point)
Computes the value of the linear equation at the current point.

Parameters:
  `point` - Point at which linear equation must be evaluated.
Returns:
  the value of the linear equation at the current point.

### equals

public boolean equals(Object other)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`